run_id: example
user: example
description: example
enable_horreum: False
horreum_params:
  horreum_url: https://horreum.example.com
  horreum_api_key: !expr getEnvVar("HORREUM_API_KEY")
  test_name: example
  test_owner: example
  test_access_rights: PUBLIC
  schema_uri: urn:example:01
  tls_verify: False
pcp_params:
  flatten: true
  pmlogger_interval: 2.0
  pmlogger_metrics: |
    kernel.cpu.util.user, kernel.cpu.util.sys,
    mem.util.used, mem.util.active
enable_stressng: True
stressng_tests:
  # CPU tests
  - timeout: 5
    stressors:
      - stressor: cpu
        workers: 1
  # Memory tests
  - timeout: 5
    page-in: True
    stressors:
      - stressor: vm
        workers: 1
        vm-bytes: 100M
      - stressor: mmap
        workers: 1
        mmap-bytes: 100M
enable_sysbench: True
sysbench_cpu_tests:
  - threads: 2
    events: 0
    time: 5
    cpu-max-prime: 12000
    validate: "on"
sysbench_memory_tests:
  - threads: 2
    events: 0
    time: 5
    memory-block-size: '2KiB'
    memory-total-size: '100GiB'
    memory-scope: 'local'
    memory-oper: 'write'
enable_fio: True
fio_tests:
  - jobs:
    - name: global
      params:
        size: 2g
        direct: 1
        blocksize_range: 4k-4096k
        runtime: 5
        time_based: 1
        stonewall: 1
    - name: write
      params:
        readwrite: write
    - name: read
      params:
        readwrite: read
enable_coremark: True
coremark_pro_tests:
  - contexts: 2
    workers: 2
    target_run_time: 1
enable_autobench: True
autobench_tests:
  - contexts: 2
    workers: 2
    target_run_time: 1
